<template>
    <!-- Cuerpo -->
      <el-col class="text-end">
        <el-select v-model="filterSelected" clearable :placeholder="textPlaceHolder" class="select-head" :size="size" :disabled="isDisabled" @change="changeValue">
          <el-option
            v-for="oneFilter in filterArray"
            :key="oneFilter.value"
            :label="oneFilter.label"
            :value="oneFilter.value">
          </el-option>
        </el-select>
      </el-col>
</template>

<script>
import { mapGetters, mapMutations, mapActions, mapState } from 'vuex'
import { modifyText } from '../utils/modifyText.js'

export default {
  props: {   
    value: {
      type: String,
      default: ''
    },
    filterArray: Array,
    size: String,
    textPlaceHolder: {
      type: String,
      required: false,
      default: 'Seleccionar'
    },
    isDisabled: {
      type: Boolean
    }
  },
  computed: {
    filterSelected:{
      get () {
        return this.value
      },
      set (filterInput) {
        this.$emit('input', filterInput)
      }
    },
  },
  methods: {
    changeValue(val) {
      this.$emit('changeValue', val)
    }
  }
}
</script>